Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::transform_base_fn Struct Reference
Inheritance diagram for ranges::views::transform_base_fn:

## Public Member Functions
template<typename Rng , typename Fun >
constexpr transform_view< all_t< Rng >, Fun > | operator() (Rng &&rng, Fun fun) const
template<typename Rng1 , typename Rng2 , typename Fun >
constexpr transform2_view< all_t< Rng1 >, all_t< Rng2 >, Fun > | operator() (Rng1 &&rng1, Rng2 &&rng2, Fun fun) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename Rng , typename Fun >

constexpr transform_view<all_t<Rng>, Fun> ranges::views::transform_base_fn::operator() | ( | Rng && | rng,
|  | Fun | fun
| ) |  | const
| constexpr

Precondition
  requires `transformable_range<Rng, Fun>`

## ◆ operator()() [2/2]

template<typename Rng1 , typename Rng2 , typename Fun >

constexpr transform2_view<all_t<Rng1>, all_t<Rng2>, Fun> ranges::views::transform_base_fn::operator() | ( | Rng1 && | rng1,
|  | Rng2 && | rng2,
|  | Fun | fun
| ) |  | const
| constexpr

Precondition
  requires `transformable_ranges<Rng1, Rng2, Fun>`